InfoGrab Docs

시스템 훅 API

REST API로 시스템 훅을 설정하고 관리합니다.

이 API를 사용하여 시스템 훅 을 관리합니다. 시스템 훅은 그룹의 모든 프로젝트와 서브그룹에 영향을 미치는 그룹 웹훅 , 단일 프로젝트로 제한된 프로젝트 웹훅 과는 다릅니다. 사전 요건: 관리자여야 합니다. 모든 시스템 훅 목록 조회 # 모든 시스템 훅을 나열합니다. GET /hooks 요청 예시: curl --request GET \ --header "PRIVATE-TOKEN: <your_access_token>" \ --url "https://gitlab.example.com/api/v4/hooks" 응답 예시: [ { "id" : 1 , "url" : "https://gitlab.example.com/hook" , "name" : "Hook name" , "description" : "Hook description" , "created_at" : "2016-10-31T12:32:15.192Z" , "push_events" : true , "tag_push_events" : false , "merge_requests_events" : true , "repository_update_events" : true , "enable_ssl_verification" : true , "url_variables" : [ ] } ] 시스템 훅 조회 # ID로 시스템 훅을 조회합니다. GET /hooks/:id 속성 유형 필수 여부 설명 id integer 예 훅의 ID. 요청 예시: curl --request GET \ --header "PRIVATE-TOKEN: <your_access_token>" \ --url "https://gitlab.example.com/api/v4/hooks/1" 응답 예시: { "id" : 1 , "url" : "https://gitlab.example.com/hook" , "name" : "Hook name" , "description" : "Hook description" , "created_at" : "2016-10-31T12:32:15.192Z" , "push_events" : true , "tag_push_events" : false , "merge_requests_events" : true , "repository_update_events" : true , "enable_ssl_verification" : true , "url_variables" : [ ] } 새 시스템 훅 추가 # 새 시스템 훅을 추가합니다. POST /hooks 속성 유형 필수 여부 설명 url string 예 훅 URL. branch_filter_strategy string 아니요 브랜치로 푸시 이벤트를 필터링합니다. 가능한 값은 wildcard (기본값), regex , all_branches 입니다. description string 아니요 훅 설명. (GitLab 17.1에서 도입 .) enable_ssl_verification boolean 아니요 훅을 트리거할 때 SSL 검증을 수행합니다. merge_requ